/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { ProvenanceParametersDto } from './provenance-parameters-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { RdfDefinitionForManipulationDto } from './rdf-definition-for-manipulation-dto';

/**
 * Data transfer object (DTO) representing the creation of a metadata tree.  Extends the base class Coscine.Api.Core.Shared.DataTransferObjects.ParameterObjects.MetadataTreeForManipulationDto.
 * @export
 * @interface ExtractedMetadataTreeForCreationDto
 */
export interface ExtractedMetadataTreeForCreationDto {
    /**
     * Gets or initializes the path of the metadata tree.
     * @type {string}
     * @memberof ExtractedMetadataTreeForCreationDto
     */
    'path': string;
    /**
     * Gets or sets the id of the new metadata tree.
     * @type {string}
     * @memberof ExtractedMetadataTreeForCreationDto
     */
    'id': string;
    /**
     * 
     * @type {RdfDefinitionForManipulationDto}
     * @memberof ExtractedMetadataTreeForCreationDto
     */
    'definition': RdfDefinitionForManipulationDto;
    /**
     * 
     * @type {ProvenanceParametersDto}
     * @memberof ExtractedMetadataTreeForCreationDto
     */
    'provenance': ProvenanceParametersDto;
}

